Bug 749499 - (ghc-regex-pcre) Review Request: ghc-regex-pcre - Haskell PCRE binding
Review Request: ghc-regex-pcre - Haskell PCRE binding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 751722
  Show dependency treegraph
 
Reported: 2011-10-27 05:26 EDT by Jens Petersen
Modified: 2011-11-19 01:04 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-regex-pcre-0.94.2-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-19 00:57:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Narasimhan 2011-11-06 02:53:30 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-regex-pcre-0.94.2-2.fc14.i686.rpm ghc-regex-pcre-0.94.2-2.fc14.src.rpm ghc-regex-pcre-devel-0.94.2-2.fc14.i686.rpm 
ghc-regex-pcre.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-regex-pcre.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

3 packages and 0 specfiles checked; 0 errors, 2 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD 3 clause
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included. Has a spelling mistake. Module is misspelled as modile
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum regex-pcre-0.94.2.tar.gz 
cfc8c6f4c489bd5d1b08878863e61353  regex-pcre-0.94.2.tar.gz

md5sum ghc-regex-pcre-0.94.2-2.fc15.src/regex-pcre-0.94.2.tar.gz 
cfc8c6f4c489bd5d1b08878863e61353  ghc-regex-pcre-0.94.2-2.fc15.src/regex-pcre-0.94.2.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-regex-pcre
error: Failed dependencies:
        ghc-regex-pcre = 0.94.2-2.fc14 is needed by (installed) ghc-regex-pcre-devel-0.94.2-2.fc14.i686
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
LICENSE file is included.
[+]SHOULD: The reviewer should test that the package functions as described.
Loaded Text.Regex.PCRE.Wrap into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Jens Petersen 2011-11-07 03:28:38 EST
Thank you for the review. :)


New Package SCM Request
=======================
Package Name: ghc-regex-pcre
Short Description: Haskell PCRE binding
Owners: petersen
Branches: f16 f15 f14 el6
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2011-11-07 08:26:30 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-11-07 21:01:26 EST
ghc-regex-pcre-0.94.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-regex-pcre-0.94.2-2.fc15
Comment 6 Fedora Update System 2011-11-07 21:01:37 EST
ghc-regex-pcre-0.94.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-regex-pcre-0.94.2-2.fc14
Comment 7 Fedora Update System 2011-11-07 21:01:47 EST
ghc-regex-pcre-0.94.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-regex-pcre-0.94.2-2.fc16
Comment 8 Fedora Update System 2011-11-10 12:28:32 EST
ghc-regex-pcre-0.94.2-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 9 Fedora Update System 2011-11-19 00:57:40 EST
ghc-regex-pcre-0.94.2-2.fc14 has been pushed to the Fedora 14 stable repository.
Comment 10 Fedora Update System 2011-11-19 00:58:35 EST
ghc-regex-pcre-0.94.2-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 11 Fedora Update System 2011-11-19 01:04:42 EST
ghc-regex-pcre-0.94.2-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.